Subject: Re: Pine IMAP authentication

From: Eduardo Chappa <[email-masked]>
Date: Mon, 1 Apr 2002 09:56:02 -0800 (PST)

*** Devil's Claw ([email-masked]) wrote in the pine-info list on Mar...:

:) When I run pine I have to write my password to connect an IMAP server.
:) I use {server_name/user=username}/path_to_inbox. I don't want to write
:) the password any time that I run pine. What I have to do?

- If you are using PC-Pine, you need to create an empty file called
"pine.pwd" in the same directory that contains the pinerc file. However,
starting in Pine4.43 you can specify its location if you start Pine with
the "-passfile" switch, in whose case you must give its full path. This
option is not available for Unix Pine.

- If you are using Unix Pine, you need to recompile Pine. Edit the file
"pine/pine.h" and add the following line to it:

#define PASSFILE "pine.pwd"

Recompile Pine and create an empty file called pine.pwd in your $HOME
directory. The rest of the process will take care of it by itself. The
process will only work if you actually have a file called "pine.pwd", if
it does not exist (because you removed/renamed it) it won't matter if you
recompiled Pine or not with this capability.

  You can hide your password file in a more secure place than your $HOME
directory, you can change "pine.pwd" by a path relative to $HOME, in order
to put the password file somewhere else.

-- 
Eduardo
http://www.math.washington.edu/~chappa/pine/